<?php

namespace App\Repositories\Core;

class Tag
{
    public static function getTagsByModel($model)
    {
        $tags = $model->tags;

        return $tags ? $tags->pluck('id')->toArray() : null;
    }

    public static function storeTags($model, $tags)
    {
        $tags = $tags ? collect($tags)->transform(
            function ($item, $key) {
                return (int) $item;
            }
        )->toArray() : false;

        return $tags ? $model->syncTags($tags, true) : false;
    }
}
